package intrinsic.mx.collections;

public interface IViewCursor extends intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public boolean afterLast;
//	public intrinsic.mx.collections.ICollectionView view;
//	public boolean beforeFirst;
//	public intrinsic.mx.collections.CursorBookmark bookmark;
//	public Object current;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public boolean moveNext();
public boolean movePrevious();
public void seek(intrinsic.mx.collections.CursorBookmark arg0);
public void seek(intrinsic.mx.collections.CursorBookmark arg0, int arg1);
public void seek(intrinsic.mx.collections.CursorBookmark arg0, int arg1, int arg2);
public boolean findLast(Object arg0);
public boolean findAny(Object arg0);
public boolean findFirst(Object arg0);
public void insert(Object arg0);
public Object remove();

}
